JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const response = await client.connections.detach(
'agent_abc123',
'9f063c59-2775-4614-8a68-22e5f90f92f3',
);
console.log(response.success);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
response = client.connections.detach(
agent_id="agent_abc123",
connection_id="9f063c59-2775-4614-8a68-22e5f90f92f3",
)
print(response.success)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Connections.Detach(
context.TODO(),
"agent_abc123",
"9f063c59-2775-4614-8a68-22e5f90f92f3",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Success)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
response = cerca.connections.detach("agent_abc123", "9f063c59-2775-4614-8a68-22e5f90f92f3")
puts(response)cerca connections detach \
--api-key 'My API Key' \
--agent-id agent_abc123 \
--connection-id 9f063c59-2775-4614-8a68-22e5f90f92f3curl --request DELETE \
--url https://api.cerca.dev/agents/{agentId}/connections/{connectionId} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cerca.dev/agents/{agentId}/connections/{connectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.delete("https://api.cerca.dev/agents/{agentId}/connections/{connectionId}")
.header("Authorization", "Bearer <token>")
.asString();{
"success": true
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}Connections
Detach connection
DELETE
/
agents
/
{agentId}
/
connections
/
{connectionId}
JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const response = await client.connections.detach(
'agent_abc123',
'9f063c59-2775-4614-8a68-22e5f90f92f3',
);
console.log(response.success);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
response = client.connections.detach(
agent_id="agent_abc123",
connection_id="9f063c59-2775-4614-8a68-22e5f90f92f3",
)
print(response.success)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Connections.Detach(
context.TODO(),
"agent_abc123",
"9f063c59-2775-4614-8a68-22e5f90f92f3",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Success)
}require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
response = cerca.connections.detach("agent_abc123", "9f063c59-2775-4614-8a68-22e5f90f92f3")
puts(response)cerca connections detach \
--api-key 'My API Key' \
--agent-id agent_abc123 \
--connection-id 9f063c59-2775-4614-8a68-22e5f90f92f3Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Example:
"agent_abc123"
Minimum string length:
1Example:
"9f063c59-2775-4614-8a68-22e5f90f92f3"
Response
Connection detached.
Available options:
true ⌘I